import ViewMessageService from '../view-message-service';
/**
 * 实体看板代码表视图消息服务对象基类
 *
 * @export
 * @class ViewMsg75MessageServiceBase
 */
export default class ViewMsg75MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg75MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg75MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg75MessageServiceBase
     */
    public initBasicParam(){
        this.id = "2f8572c9d1f346dbc2337a1694705066";
        this.name = "实体看板代码表";
        this.codename = "ViewMsg75";
        this.title = "";
        this.content = "本示例展示实体看板分组代码表功能：分组代码表为图书类型。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg75MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}